%global srcname flake8-docstrings

Name:           python-%{srcname}
Version:        1.2.0
Release:        2%{?dist}
Summary:        A plugin to flake8 to include checks provided by pep257

License:        MIT
URL:            https://gitlab.com/pycqa/%{srcname}
Source0:        https://gitlab.com/pycqa/%{srcname}/-/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
A simple module that adds an extension for the fantastic pydocstyle tool to
flake8.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined python_disable_dependency_generator}
Requires:       python%{python3_pkgversion}-flake8
Requires:       python%{python3_pkgversion}-flake8-polyfill
Requires:       python%{python3_pkgversion}-pydocstyle >= 2.0
%endif # python_disable_dependency_generator


%description -n python%{python3_pkgversion}-%{srcname}
A simple module that adds an extension for the fantastic pydocstyle tool to
flake8.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc HISTORY.rst README.rst
%{python3_sitelib}/flake8_docstrings.py
%{python3_sitelib}/__pycache__/flake8_docstrings.cpython-*.pyc
%{python3_sitelib}/flake8_docstrings-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Mar 28 2019 Scott K Logan <logans@cottsay.net> - 1.2.0-2
- Fix pydocstyle version requirement

* Thu Mar 21 2019 Scott K Logan <logans@cottsay.net> - 1.2.0-1
- Initial package
